/**
 * ECMAScript 6 Config
 * 本文件对ECMAScript 6 规则进行自定制
 * 告警级别: 
 *  0 忽略问题，等同'off'
 *  1 给出警告，等同'warn'
 *  2 直接报错，等同'error'
 */
module.exports = {
  env: {
    es6: true
  },

  parserOptions: {
    ecmaVersion: 6,
    sourceType: 'module',
    ecmaFeatures: {
      generators: false,
      objectLiteralDuplicateProperties: false
    }
  },

  rules: {
    // 箭头函数的箭头之前无空格，之后应有空格
    'arrow-spacing': [ 1, { 'before': false, 'after': true } ],
    'no-confusing-arrow': 2,
    'no-duplicate-imports': 2,
    'prefer-template': 2,
    'prefer-const': 2,
    'no-template-curly-in-string': 2,
    'no-var': 2,
    'prefer-arrow-callback': 2,
    'prefer-const': 2
  }
};
2